#ifndef _SHARPEN_H_
#define _SHARPEN_H_


/*
 * sharpen.h - for the camsource program, adapted by Juergen Koerner <juergen.koerner@t-online.de>
 *
 * pensuite.h - for the pensuite program by Kevin Sisson <kjsisson@bellsouth.net>
 *
 * Originally based on pencam 0.1 (C) Copyright 2001 by Bart Hartgers
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/* This is taken from the stv680 webcam driver, removing some items that
   are not necessary or useful here */


typedef struct
{
	int                   vwidth;       		 /* current width for video window   */
	int                   vheight;     	         /* current height for video window  */
	int                   sharpen_percent; 		 /* sharpen in percent, 0 - 100%     */
	int		      pic_hue;			 /* hue , 		default = 50 */
	int		      pic_saturate;		 /* saturate , 		default = 40 */
	int 		      pic_brightness;		 /* brightness , 	default =  1 */
} usb_stv;


/*  sharpen & saturate  */
void  hue_saturation (unsigned char *input, unsigned char *output, 
		      int pic_satur, int pic_brightness, int pic_hue, int vwidth, int vheight);
void  sharpen (unsigned char *src_region, unsigned char *dest_region, unsigned char sharp); 
//		usb_stv *stv680);


#endif
